# Class OperationDetail

java.lang.Object
com.databricks.jdbc.model.telemetry.latency.OperationDetail

public class OperationDetail extends Object

## Constructor Summary

Constructors
Constructor
Description
`OperationDetail(Boolean isInternalCall)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addOperationStatusLatencyMillis(Long latencyMillis)`
`OperationDetail`
`setInternalCall(Boolean isInternalCall)`
`OperationDetail`
`setOperationType(OperationType operationType)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OperationDetail

public OperationDetail(Boolean isInternalCall)

## Method Details

### addOperationStatusLatencyMillis

public void addOperationStatusLatencyMillis(Long latencyMillis)

### setOperationType

public OperationDetail setOperationType(OperationType operationType)

### setInternalCall

public OperationDetail setInternalCall(Boolean isInternalCall)

### toString

public String toString()

Overrides:
  `toString` in class `Object`